DB->get_re_pad()
Prev | Chapter 2. The DB Handle | Next

## DB->get_re_pad()

    #include <db.h>

    int
    DB->get_re_pad(DB *db, int *re_padp);

The `DB->get_re_pad()` method returns the pad character used for short, fixed-length records used by the Queue and Recno access methods. This character is set using the DB->set_re_pad() method.

The `DB->get_re_pad()` method may be called only after the database has been opened.

The `DB->get_re_pad()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### re_padp

The `DB->get_re_pad()` method returns the pad character in re_padp. If used on a handle that has not yet been opened, the default pad character is returned. See the DB->set_re_pad() method description for what that default value is.

### Class

DB

### See Also

Database and Related Methods, DB->set_re_pad()

Prev | Up | Next
DB->get_re_len() | Home | DB->get_re_source()